From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/sdformat/
Date: Wed, 16 Sep 2015 13:17:20 +0000 (UTC) [thread overview]
Message-ID: <1442409431.2f7e7cd712796cb763aa57acb4a0e902c324a006.aballier@gentoo> (raw)
commit: 2f7e7cd712796cb763aa57acb4a0e902c324a006
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 16 12:56:31 2015 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Sep 16 13:17:11 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f7e7cd7
dev-libs/sdformat: bump to 3.1.1
Package-Manager: portage-2.2.20.1
dev-libs/sdformat/Manifest | 1 +
dev-libs/sdformat/sdformat-3.1.1.ebuild | 36 +++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-libs/sdformat/Manifest b/dev-libs/sdformat/Manifest
index 948c801..b20b3f1 100644
--- a/dev-libs/sdformat/Manifest
+++ b/dev-libs/sdformat/Manifest
@@ -1 +1,2 @@
+DIST sdformat-3.1.1.tar.bz2 414363 SHA256 4891bb042e0b91323b9f53af4d2ff376eb6fe08f5ff5050d3f82b00afc9f696c SHA512 62dd534144fed78ab17694dce8a6e465a5f61c98f57f3918b81f521a39289574c6a1c7f436054d50b31bbf8b53448e95e5c19fe2e198d8ab8aea795d5b61d5fa WHIRLPOOL 44a2f9e1e9f419f6ab40721a19bd294d8428b887a98f0fdb57f371e9ccb6c3a37a0f600f9612ee674c3a01ab0b9ac03876cf8236c57958a5577e0855a08d2b7a
DIST sdformat2_2.3.2.tar.bz2 407034 SHA256 6207f90a29e6ba18bdeef116d98e92bfdbdaeb7f2a8cd40345727b6661be5998 SHA512 53e93ad69869072071293d6fc0ed840f84d8fff34f1fdf56465fe7d48f41f8fdb45723611b5be3776790717466883f602396c6eb9510a7e8f71ee1031d42140f WHIRLPOOL 0e592d44c12cd51be3bced7de472e268ba34da3b5ad03f85e0433fb0fd7d789cedfd8c746ad88b79c0fddf92c1bfca9aae4f97742dba293422adfadc1888ca50
diff --git a/dev-libs/sdformat/sdformat-3.1.1.ebuild b/dev-libs/sdformat/sdformat-3.1.1.ebuild
new file mode 100644
index 0000000..2f26287
--- /dev/null
+++ b/dev-libs/sdformat/sdformat-3.1.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils versionator vcs-snapshot
+
+DESCRIPTION="Simulation Description Format (SDF) parser"
+HOMEPAGE="http://sdformat.org/"
+SRC_URI="http://osrf-distributions.s3.amazonaws.com/sdformat/releases/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ dev-libs/urdfdom
+ dev-libs/tinyxml
+ dev-libs/boost:=
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_configure() {
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ local mycmakeargs=(
+ "-DUSE_EXTERNAL_URDF=ON"
+ "-DUSE_EXTERNAL_TINYXML=ON"
+ )
+ cmake-utils_src_configure
+}
next reply other threads:[~2015-09-16 13:17 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-16 13:17 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-09-19 11:58 [gentoo-commits] repo/gentoo:master commit in: dev-libs/sdformat/ Alexis Ballier
2015-09-19 11:58 Alexis Ballier
2015-09-21 9:41 Alexis Ballier
2015-09-21 9:41 Alexis Ballier
2015-11-05 13:29 Alexis Ballier
2016-01-06 9:39 Alexis Ballier
2016-01-06 9:39 Alexis Ballier
2016-01-06 10:47 Alexis Ballier
2016-01-19 13:01 Alexis Ballier
2016-01-28 20:25 Alexis Ballier
2016-04-05 11:20 Alexis Ballier
2016-07-11 7:58 Alexis Ballier
2016-07-11 7:58 Alexis Ballier
2016-07-26 9:24 Alexis Ballier
2016-10-12 15:01 Alexis Ballier
2016-12-29 15:16 Alexis Ballier
2017-01-28 20:13 Alexis Ballier
2017-02-25 9:55 Alexis Ballier
2017-02-25 9:55 Alexis Ballier
2017-04-12 9:48 Alexis Ballier
2017-08-15 5:41 Alexis Ballier
2017-08-26 12:33 Alexis Ballier
2017-12-04 22:01 Alexis Ballier
2018-01-28 12:54 Alexis Ballier
2018-10-11 16:28 Alexis Ballier
2019-06-26 14:23 Alexis Ballier
2020-05-15 16:34 Alexis Ballier
2020-05-15 16:34 Alexis Ballier
2020-10-23 10:51 Alexis Ballier
2020-11-26 18:23 Andreas Sturmlechner
2021-08-03 16:51 Alexis Ballier
2021-12-15 9:28 Alexis Ballier
2022-02-27 10:32 David Seifert
2022-02-27 10:32 David Seifert
2022-06-23 11:10 Alexis Ballier
2023-02-07 17:25 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1442409431.2f7e7cd712796cb763aa57acb4a0e902c324a006.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox